Skip to main content
POST
/
reports
/
liability
Create liability report
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/reports/liability \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pay_schedule_id": "<id>"
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/reports/liability"

payload = { "pay_schedule_id": "<id>" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({pay_schedule_id: '<id>'})
};

fetch('https://sandbox.nmbr.co/services/payroll/reports/liability', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<id>",
  "object": "report",
  "data": {
    "type": "liability",
    "business_entity": null,
    "pay_schedule": {
      "id": "<id>",
      "object": "pay_schedule",
      "links": {
        "self": "/pay_schedules/<id>"
      }
    },
    "payroll": null,
    "filters": {
      "payroll_type": [
        "regular",
        "off_cycle",
        "historical",
        "correction"
      ],
      "payroll_status": [
        "paid"
      ],
      "pay_date_from": null,
      "pay_date_to": null,
      "year": null
    },
    "has_results": false,
    "format": null,
    "sheet": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/reports/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
business_entity_id
string

One of business_entity_id, pay_schedule_id or payroll_id must be set.

Must be present when pay_schedule_id and payroll_id is either empty or not set.

pay_schedule_id
string

One of business_entity_id, pay_schedule_id or payroll_id must be set.

Must be present when business_entity_id and payroll_id is either empty or not set.

payroll_id
string

One of business_entity_id, pay_schedule_id or payroll_id must be set.

Must be present when business_entity_id and pay_schedule_id is either empty or not set.

filters
object

Options to allow filtering the content of the report

Response

201 - application/json

Created

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("report").

data
Report · object